mirror of
https://github.com/beard7n/bsdports.git
synced 2026-04-10 02:21:15 +02:00
updated
This commit is contained in:
41
text/aspell/Makefile
Normal file
41
text/aspell/Makefile
Normal file
@@ -0,0 +1,41 @@
|
||||
#
|
||||
# $Id: Makefile 2363 2009-09-06 11:14:53Z root $
|
||||
# $URL: file:///usr2/svn/ports5/text-utils/aspell/Makefile $
|
||||
#
|
||||
PORTNAME= aspell
|
||||
PORTVERSION= 0.60.6.1
|
||||
CATEGORIES= textproc
|
||||
MASTER_SITES= ${MASTER_SITE_GNU}
|
||||
MASTER_SITE_SUBDIR= aspell
|
||||
DISTFILES= ${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}
|
||||
EXTRACT_ONLY= ${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}
|
||||
|
||||
MAINTAINER= onborodin@gmail.com
|
||||
COMMENT= Spelling checker with better suggestion logic than ispell
|
||||
|
||||
LIB_DEPENDS+= libintl.so:devel/gettext
|
||||
LIB_DEPENDS+= libiconv.so:text/libiconv
|
||||
|
||||
#PATCH_SITES= https://github.com/GNUAspell/${PORTNAME}/commit/
|
||||
#PATCHFILES+= ee6cbb12ff36a1e6618d7388a78dd4e0a2b44041.patch:-p1
|
||||
|
||||
|
||||
GNU_CONFIGURE= yes
|
||||
USES+= gmake
|
||||
INSTALLS_SHLIB= yes
|
||||
CONFIGURE_ARGS+= --enable-dict-dir=${DATADIR}
|
||||
CONFIGURE_ARGS+= --enable-docdir=${DOCSDIR}
|
||||
CONFIGURE_ARGS+= --enable-static
|
||||
CONFIGURE_ARGS+= --mandir=${PREFIX}/man
|
||||
CONFIGURE_ARGS+= --infodir=${PREFIX}/info
|
||||
CONFIGURE_ARGS+= --enable-pkglibdir=${PREFIX}/lib/aspell
|
||||
CONFIGURE_ARGS+= --enable-pkgdatadir=${PREFIX}/lib/aspell
|
||||
CONFIGURE_ARGS+= --with-libiconv-prefix=${LOCALBASE}
|
||||
CONFIGURE_ARGS+= --with-libintl-prefix=${LOCALBASE}
|
||||
CONFIGURE_ARGS+= --enable-compile-in-filters
|
||||
|
||||
INFO+= aspell
|
||||
INFO+= aspell-dev
|
||||
|
||||
.include <bsd.port.mk>
|
||||
#EOF
|
||||
5
text/aspell/distinfo
Normal file
5
text/aspell/distinfo
Normal file
@@ -0,0 +1,5 @@
|
||||
TIMESTAMP = 1756192108
|
||||
SHA256 (aspell-0.60.6.1.tar.gz) = f52583a83a63633701c5f71db3dc40aab87b7f76b29723aeb27941eff42df6e1
|
||||
SIZE (aspell-0.60.6.1.tar.gz) = 1878163
|
||||
SHA256 (ee6cbb12ff36a1e6618d7388a78dd4e0a2b44041.patch) = 3dce45d8071bd4afd7b6c1319c090147b2b526322be45996598c64b07758a87c
|
||||
SIZE (ee6cbb12ff36a1e6618d7388a78dd4e0a2b44041.patch) = 1976
|
||||
3
text/aspell/files/aspell.ver.in
Normal file
3
text/aspell/files/aspell.ver.in
Normal file
@@ -0,0 +1,3 @@
|
||||
# $FreeBSD: ports/textproc/aspell/files/aspell.ver.in,v 1.1 2006/07/15 14:28:44 thierry Exp $
|
||||
# Installed by textproc/aspell, please don't edit manually!
|
||||
VER= %%VERINST%%
|
||||
25
text/aspell/files/patch-x-Makefile.in
Normal file
25
text/aspell/files/patch-x-Makefile.in
Normal file
@@ -0,0 +1,25 @@
|
||||
--- ./Makefile.in.orig 2011-07-04 11:58:49.000000000 +0300
|
||||
+++ ./Makefile.in 2014-12-23 09:52:46.000000000 +0200
|
||||
@@ -481,7 +481,12 @@
|
||||
top_builddir = @top_builddir@
|
||||
top_srcdir = @top_srcdir@
|
||||
AUTOMAKE_OPTIONS = foreign subdir-objects
|
||||
-SUBDIRS = . po manual
|
||||
+
|
||||
+ifndef NOPORTDOCS
|
||||
+MANUALSUBDIR = manual
|
||||
+endif
|
||||
+SUBDIRS = . po $(MANUALSUBDIR)
|
||||
+
|
||||
DIST_SUBDIRS = ${SUBDIRS} examples myspell lib5
|
||||
filterdir = ${pkglibdir}
|
||||
optdir = ${pkgdatadir}
|
||||
@@ -578,7 +583,7 @@
|
||||
@INCREMENTED_SONAME_TRUE@@PSPELL_COMPATIBILITY_TRUE@libpspell_la_LDFLAGS = -version-info 16:5:0 -no-undefined
|
||||
word_list_compress_SOURCES = prog/compress.c
|
||||
aspell_SOURCES = prog/aspell.cpp prog/check_funs.cpp prog/checker_string.cpp
|
||||
-aspell_LDADD = libaspell.la $(CURSES_LIB)
|
||||
+aspell_LDADD = libaspell.la $(CURSES_LIB) $(LTLIBINTL)
|
||||
prezip_bin_SOURCES = prog/prezip.c
|
||||
static_optfiles = modules/filter/url-filter.info $(am__append_2)
|
||||
dynamic_optfiles = $(am__append_4)
|
||||
83
text/aspell/files/patch-x-configure
Normal file
83
text/aspell/files/patch-x-configure
Normal file
@@ -0,0 +1,83 @@
|
||||
--- ./configure.orig 2011-07-04 11:58:50.000000000 +0300
|
||||
+++ ./configure 2014-12-23 09:52:46.000000000 +0200
|
||||
@@ -3524,7 +3524,7 @@
|
||||
fi
|
||||
|
||||
|
||||
-if test "$GXX" = "yes" && expr "$CXXFLAGS" : '.*-O' > /dev/null
|
||||
+if test "$GXX" = "yes" && expr -- "$CXXFLAGS" : '.*-O' > /dev/null
|
||||
then
|
||||
CXXFLAGS="$CXXFLAGS -fno-exceptions"
|
||||
fi
|
||||
@@ -9723,7 +9723,7 @@
|
||||
hardcode_shlibpath_var=no
|
||||
;;
|
||||
|
||||
- freebsd1*)
|
||||
+ freebsd1.*)
|
||||
ld_shlibs=no
|
||||
;;
|
||||
|
||||
@@ -10620,7 +10620,7 @@
|
||||
shlibpath_var=LD_LIBRARY_PATH
|
||||
;;
|
||||
|
||||
-freebsd1*)
|
||||
+freebsd1.*)
|
||||
dynamic_linker=no
|
||||
;;
|
||||
|
||||
@@ -10631,7 +10631,7 @@
|
||||
objformat=`/usr/bin/objformat`
|
||||
else
|
||||
case $host_os in
|
||||
- freebsd[123]*) objformat=aout ;;
|
||||
+ freebsd[123].*) objformat=aout ;;
|
||||
*) objformat=elf ;;
|
||||
esac
|
||||
fi
|
||||
@@ -12687,7 +12687,7 @@
|
||||
esac
|
||||
;;
|
||||
|
||||
- freebsd[12]*)
|
||||
+ freebsd[12].*)
|
||||
# C++ shared libraries reported to be fairly broken before
|
||||
# switch to ELF
|
||||
ld_shlibs_CXX=no
|
||||
@@ -14437,7 +14437,7 @@
|
||||
shlibpath_var=LD_LIBRARY_PATH
|
||||
;;
|
||||
|
||||
-freebsd1*)
|
||||
+freebsd1.*)
|
||||
dynamic_linker=no
|
||||
;;
|
||||
|
||||
@@ -14448,7 +14448,7 @@
|
||||
objformat=`/usr/bin/objformat`
|
||||
else
|
||||
case $host_os in
|
||||
- freebsd[123]*) objformat=aout ;;
|
||||
+ freebsd[123].*) objformat=aout ;;
|
||||
*) objformat=elf ;;
|
||||
esac
|
||||
fi
|
||||
@@ -18243,7 +18243,7 @@
|
||||
CURSES_LIB=-lncurses
|
||||
|
||||
cat >>confdefs.h <<\_ACEOF
|
||||
-#define CURSES_HEADER <ncurses/curses.h>
|
||||
+#define CURSES_HEADER <ncurses/ncurses.h>
|
||||
_ACEOF
|
||||
|
||||
|
||||
@@ -18437,7 +18437,7 @@
|
||||
|
||||
|
||||
cat >>confdefs.h <<\_ACEOF
|
||||
-#define CURSES_HEADER <curses.h>
|
||||
+#define CURSES_HEADER <ncurses/ncurses.h>
|
||||
_ACEOF
|
||||
|
||||
|
||||
20
text/aspell/files/patch-x-interfaces-cc-aspell.h
Normal file
20
text/aspell/files/patch-x-interfaces-cc-aspell.h
Normal file
@@ -0,0 +1,20 @@
|
||||
--- ./interfaces/cc/aspell.h.orig 2011-07-03 00:53:27.000000000 +0300
|
||||
+++ ./interfaces/cc/aspell.h 2014-12-23 09:52:46.000000000 +0200
|
||||
@@ -236,7 +236,7 @@
|
||||
|
||||
/******************************** errors ********************************/
|
||||
|
||||
-
|
||||
+#ifndef ASPELL_ERRORS__HPP
|
||||
extern const struct AspellErrorInfo * const aerror_other;
|
||||
extern const struct AspellErrorInfo * const aerror_operation_not_supported;
|
||||
extern const struct AspellErrorInfo * const aerror_cant_copy;
|
||||
@@ -322,7 +322,7 @@
|
||||
extern const struct AspellErrorInfo * const aerror_bad_magic;
|
||||
extern const struct AspellErrorInfo * const aerror_expression;
|
||||
extern const struct AspellErrorInfo * const aerror_invalid_expression;
|
||||
-
|
||||
+#endif
|
||||
|
||||
/******************************* speller *******************************/
|
||||
|
||||
11
text/aspell/files/patch-x-modules-filter-tex.cpp
Normal file
11
text/aspell/files/patch-x-modules-filter-tex.cpp
Normal file
@@ -0,0 +1,11 @@
|
||||
--- ./modules/filter/tex.cpp.orig 2011-07-03 00:09:09.000000000 +0300
|
||||
+++ ./modules/filter/tex.cpp 2019-01-27 22:08:42.491707000 +0200
|
||||
@@ -174,7 +174,7 @@
|
||||
|
||||
if (c == '{') {
|
||||
|
||||
- if (top.in_what == Parm || top.in_what == Opt || top.do_check == '\0')
|
||||
+ if (top.in_what == Parm || top.in_what == Opt || top.do_check == "\0")
|
||||
push_command(Parm);
|
||||
|
||||
top.in_what = Parm;
|
||||
14
text/aspell/files/patch-x-modules-speller-default-affix.cpp
Normal file
14
text/aspell/files/patch-x-modules-speller-default-affix.cpp
Normal file
@@ -0,0 +1,14 @@
|
||||
--- ./modules/speller/default/affix.cpp.orig 2011-07-03 00:09:09.000000000 +0300
|
||||
+++ ./modules/speller/default/affix.cpp 2014-12-23 09:52:46.000000000 +0200
|
||||
@@ -796,7 +796,10 @@
|
||||
if (se->check(linf, word, ci, gi, sfxopts, ppfx)) return true;
|
||||
se = se->next;
|
||||
}
|
||||
-
|
||||
+
|
||||
+ if (word.size() == 0)
|
||||
+ return false;
|
||||
+
|
||||
// now handle the general case
|
||||
byte sp = *((const byte *)(word + word.size() - 1));
|
||||
SfxEntry * sptr = sStart[sp];
|
||||
@@ -0,0 +1,11 @@
|
||||
--- ./modules/speller/default/vector_hash-t.hpp.orig 2011-07-03 00:09:09.000000000 +0300
|
||||
+++ ./modules/speller/default/vector_hash-t.hpp 2025-08-26 09:08:32.414920000 +0200
|
||||
@@ -183,7 +183,7 @@
|
||||
template<class Parms>
|
||||
void VectorHashTable<Parms>::recalc_size() {
|
||||
size_ = 0;
|
||||
- for (iterator i = begin(); i != this->e; ++i, ++this->_size);
|
||||
+ for (iterator i = begin(), e = end(); i != e; ++i, ++size_);
|
||||
}
|
||||
|
||||
}
|
||||
18
text/aspell/files/patch-x-prog-aspell.cpp
Normal file
18
text/aspell/files/patch-x-prog-aspell.cpp
Normal file
@@ -0,0 +1,18 @@
|
||||
--- ./prog/aspell.cpp.orig 2011-07-04 12:13:58.000000000 +0300
|
||||
+++ ./prog/aspell.cpp 2014-12-23 09:52:46.000000000 +0200
|
||||
@@ -25,6 +25,7 @@
|
||||
# include <langinfo.h>
|
||||
#endif
|
||||
|
||||
+#include "errors.hpp"
|
||||
#include "aspell.h"
|
||||
|
||||
#ifdef USE_FILE_INO
|
||||
@@ -40,7 +41,6 @@
|
||||
#include "convert.hpp"
|
||||
#include "document_checker.hpp"
|
||||
#include "enumeration.hpp"
|
||||
-#include "errors.hpp"
|
||||
#include "file_util.hpp"
|
||||
#include "fstream.hpp"
|
||||
#include "info.hpp"
|
||||
11
text/aspell/files/patch-x-prog-check_funs.cpp
Normal file
11
text/aspell/files/patch-x-prog-check_funs.cpp
Normal file
@@ -0,0 +1,11 @@
|
||||
--- ./prog/check_funs.cpp.orig 2011-07-04 12:17:27.000000000 +0300
|
||||
+++ ./prog/check_funs.cpp 2019-01-27 22:10:53.781397000 +0200
|
||||
@@ -647,7 +647,7 @@
|
||||
}
|
||||
}
|
||||
if (i == width-1) {
|
||||
- if (word == '\0')
|
||||
+ if (word == "\0")
|
||||
put(out,' ');
|
||||
else if (word[len] == '\0')
|
||||
put(out, word, len);
|
||||
10
text/aspell/files/patch-x-prog-checker_string.cpp
Normal file
10
text/aspell/files/patch-x-prog-checker_string.cpp
Normal file
@@ -0,0 +1,10 @@
|
||||
--- ./prog/checker_string.cpp.orig 2011-07-04 12:22:23.000000000 +0300
|
||||
+++ ./prog/checker_string.cpp 2014-12-23 09:52:46.000000000 +0200
|
||||
@@ -6,6 +6,7 @@
|
||||
|
||||
#include <assert.h>
|
||||
|
||||
+#include <assert.h>
|
||||
#include "checker_string.hpp"
|
||||
#include "speller.hpp"
|
||||
#include "document_checker.hpp"
|
||||
10
text/aspell/files/patch-x-prog-checker_string.hpp
Normal file
10
text/aspell/files/patch-x-prog-checker_string.hpp
Normal file
@@ -0,0 +1,10 @@
|
||||
--- ./prog/checker_string.hpp.orig 2011-07-03 00:09:09.000000000 +0300
|
||||
+++ ./prog/checker_string.hpp 2014-12-23 09:52:46.000000000 +0200
|
||||
@@ -6,6 +6,7 @@
|
||||
|
||||
#include <stdio.h>
|
||||
|
||||
+#include "errors.hpp"
|
||||
#include "aspell.h"
|
||||
|
||||
#include "vector.hpp"
|
||||
8
text/aspell/pkg-descr
Normal file
8
text/aspell/pkg-descr
Normal file
@@ -0,0 +1,8 @@
|
||||
Aspell is a spelling checker designed to eventually replace
|
||||
ispell, although it currently lacks many of ispell's basic
|
||||
functions. Aspell's main feature is that it does a much better
|
||||
job of coming up with possible suggestions than ispell. Aspell
|
||||
also includes a powerful C++ library with C and Perl interfaces
|
||||
in the works.
|
||||
|
||||
WWW: http://aspell.sourceforge.net/
|
||||
187
text/aspell/pkg-plist
Normal file
187
text/aspell/pkg-plist
Normal file
@@ -0,0 +1,187 @@
|
||||
bin/aspell
|
||||
bin/aspell-import
|
||||
bin/precat
|
||||
bin/preunzip
|
||||
bin/prezip
|
||||
bin/prezip-bin
|
||||
bin/pspell-config
|
||||
bin/run-with-aspell
|
||||
bin/word-list-compress
|
||||
include/aspell.h
|
||||
include/pspell/pspell.h
|
||||
lib/aspell/cp1250.cmap
|
||||
lib/aspell/cp1250.cset
|
||||
lib/aspell/cp1251.cmap
|
||||
lib/aspell/cp1251.cset
|
||||
lib/aspell/cp1252.cmap
|
||||
lib/aspell/cp1252.cset
|
||||
lib/aspell/cp1253.cmap
|
||||
lib/aspell/cp1253.cset
|
||||
lib/aspell/cp1254.cmap
|
||||
lib/aspell/cp1254.cset
|
||||
lib/aspell/cp1255.cmap
|
||||
lib/aspell/cp1255.cset
|
||||
lib/aspell/cp1256.cmap
|
||||
lib/aspell/cp1256.cset
|
||||
lib/aspell/cp1257.cmap
|
||||
lib/aspell/cp1257.cset
|
||||
lib/aspell/cp1258.cmap
|
||||
lib/aspell/cp1258.cset
|
||||
lib/aspell/dvorak.kbd
|
||||
lib/aspell/iso-8859-1.cmap
|
||||
lib/aspell/iso-8859-1.cset
|
||||
lib/aspell/iso-8859-10.cmap
|
||||
lib/aspell/iso-8859-10.cset
|
||||
lib/aspell/iso-8859-11.cmap
|
||||
lib/aspell/iso-8859-11.cset
|
||||
lib/aspell/iso-8859-13.cmap
|
||||
lib/aspell/iso-8859-13.cset
|
||||
lib/aspell/iso-8859-14.cmap
|
||||
lib/aspell/iso-8859-14.cset
|
||||
lib/aspell/iso-8859-15.cmap
|
||||
lib/aspell/iso-8859-15.cset
|
||||
lib/aspell/iso-8859-16.cmap
|
||||
lib/aspell/iso-8859-16.cset
|
||||
lib/aspell/iso-8859-2.cmap
|
||||
lib/aspell/iso-8859-2.cset
|
||||
lib/aspell/iso-8859-3.cmap
|
||||
lib/aspell/iso-8859-3.cset
|
||||
lib/aspell/iso-8859-4.cmap
|
||||
lib/aspell/iso-8859-4.cset
|
||||
lib/aspell/iso-8859-5.cmap
|
||||
lib/aspell/iso-8859-5.cset
|
||||
lib/aspell/iso-8859-6.cmap
|
||||
lib/aspell/iso-8859-6.cset
|
||||
lib/aspell/iso-8859-7.cmap
|
||||
lib/aspell/iso-8859-7.cset
|
||||
lib/aspell/iso-8859-8.cmap
|
||||
lib/aspell/iso-8859-8.cset
|
||||
lib/aspell/iso-8859-9.cmap
|
||||
lib/aspell/iso-8859-9.cset
|
||||
lib/aspell/ispell
|
||||
lib/aspell/koi8-r.cmap
|
||||
lib/aspell/koi8-r.cset
|
||||
lib/aspell/koi8-u.cmap
|
||||
lib/aspell/koi8-u.cset
|
||||
lib/aspell/spell
|
||||
lib/aspell/split.kbd
|
||||
lib/aspell/standard.kbd
|
||||
lib/libaspell.a
|
||||
lib/libaspell.la
|
||||
lib/libaspell.so
|
||||
lib/libaspell.so.16
|
||||
lib/libpspell.a
|
||||
lib/libpspell.la
|
||||
lib/libpspell.so
|
||||
lib/libpspell.so.16
|
||||
share/aspell/ccpp.amf
|
||||
share/aspell/comment.amf
|
||||
share/aspell/email.amf
|
||||
share/aspell/html.amf
|
||||
share/aspell/none.amf
|
||||
share/aspell/nroff.amf
|
||||
share/aspell/perl.amf
|
||||
share/aspell/sgml.amf
|
||||
share/aspell/tex.amf
|
||||
share/aspell/texinfo.amf
|
||||
share/aspell/url.amf
|
||||
share/locale/ast/LC_MESSAGES/aspell.mo
|
||||
share/locale/be/LC_MESSAGES/aspell.mo
|
||||
share/locale/ca/LC_MESSAGES/aspell.mo
|
||||
share/locale/cs/LC_MESSAGES/aspell.mo
|
||||
share/locale/da/LC_MESSAGES/aspell.mo
|
||||
share/locale/de/LC_MESSAGES/aspell.mo
|
||||
share/locale/en_GB/LC_MESSAGES/aspell.mo
|
||||
share/locale/es/LC_MESSAGES/aspell.mo
|
||||
share/locale/fi/LC_MESSAGES/aspell.mo
|
||||
share/locale/fr/LC_MESSAGES/aspell.mo
|
||||
share/locale/ga/LC_MESSAGES/aspell.mo
|
||||
share/locale/id/LC_MESSAGES/aspell.mo
|
||||
share/locale/it/LC_MESSAGES/aspell.mo
|
||||
share/locale/ja/LC_MESSAGES/aspell.mo
|
||||
share/locale/mn/LC_MESSAGES/aspell.mo
|
||||
share/locale/ms/LC_MESSAGES/aspell.mo
|
||||
share/locale/nl/LC_MESSAGES/aspell.mo
|
||||
share/locale/pt_BR/LC_MESSAGES/aspell.mo
|
||||
share/locale/ro/LC_MESSAGES/aspell.mo
|
||||
share/locale/ru/LC_MESSAGES/aspell.mo
|
||||
share/locale/rw/LC_MESSAGES/aspell.mo
|
||||
share/locale/sk/LC_MESSAGES/aspell.mo
|
||||
share/locale/sl/LC_MESSAGES/aspell.mo
|
||||
share/locale/sr/LC_MESSAGES/aspell.mo
|
||||
share/locale/sv/LC_MESSAGES/aspell.mo
|
||||
share/locale/tg/LC_MESSAGES/aspell.mo
|
||||
share/locale/uk/LC_MESSAGES/aspell.mo
|
||||
share/locale/vi/LC_MESSAGES/aspell.mo
|
||||
share/locale/wa/LC_MESSAGES/aspell.mo
|
||||
share/locale/zh_CN/LC_MESSAGES/aspell.mo
|
||||
man/man1/aspell-import.1.gz
|
||||
man/man1/aspell.1.gz
|
||||
man/man1/prezip-bin.1.gz
|
||||
man/man1/pspell-config.1.gz
|
||||
man/man1/run-with-aspell.1.gz
|
||||
man/man1/word-list-compress.1.gz
|
||||
@dir include/pspell
|
||||
@dir lib/aspell
|
||||
@dir share/aspell
|
||||
@dir share/locale/ast/LC_MESSAGES
|
||||
@dir share/locale/ast
|
||||
@dir share/locale/be/LC_MESSAGES
|
||||
@dir share/locale/be
|
||||
@dir share/locale/ca/LC_MESSAGES
|
||||
@dir share/locale/ca
|
||||
@dir share/locale/cs/LC_MESSAGES
|
||||
@dir share/locale/cs
|
||||
@dir share/locale/da/LC_MESSAGES
|
||||
@dir share/locale/da
|
||||
@dir share/locale/de/LC_MESSAGES
|
||||
@dir share/locale/de
|
||||
@dir share/locale/en_GB/LC_MESSAGES
|
||||
@dir share/locale/en_GB
|
||||
@dir share/locale/es/LC_MESSAGES
|
||||
@dir share/locale/es
|
||||
@dir share/locale/fi/LC_MESSAGES
|
||||
@dir share/locale/fi
|
||||
@dir share/locale/fr/LC_MESSAGES
|
||||
@dir share/locale/fr
|
||||
@dir share/locale/ga/LC_MESSAGES
|
||||
@dir share/locale/ga
|
||||
@dir share/locale/id/LC_MESSAGES
|
||||
@dir share/locale/id
|
||||
@dir share/locale/it/LC_MESSAGES
|
||||
@dir share/locale/it
|
||||
@dir share/locale/ja/LC_MESSAGES
|
||||
@dir share/locale/ja
|
||||
@dir share/locale/mn/LC_MESSAGES
|
||||
@dir share/locale/mn
|
||||
@dir share/locale/ms/LC_MESSAGES
|
||||
@dir share/locale/ms
|
||||
@dir share/locale/nl/LC_MESSAGES
|
||||
@dir share/locale/nl
|
||||
@dir share/locale/pt_BR/LC_MESSAGES
|
||||
@dir share/locale/pt_BR
|
||||
@dir share/locale/ro/LC_MESSAGES
|
||||
@dir share/locale/ro
|
||||
@dir share/locale/ru/LC_MESSAGES
|
||||
@dir share/locale/ru
|
||||
@dir share/locale/rw/LC_MESSAGES
|
||||
@dir share/locale/rw
|
||||
@dir share/locale/sk/LC_MESSAGES
|
||||
@dir share/locale/sk
|
||||
@dir share/locale/sl/LC_MESSAGES
|
||||
@dir share/locale/sl
|
||||
@dir share/locale/sr/LC_MESSAGES
|
||||
@dir share/locale/sr
|
||||
@dir share/locale/sv/LC_MESSAGES
|
||||
@dir share/locale/sv
|
||||
@dir share/locale/tg/LC_MESSAGES
|
||||
@dir share/locale/tg
|
||||
@dir share/locale/uk/LC_MESSAGES
|
||||
@dir share/locale/uk
|
||||
@dir share/locale/vi/LC_MESSAGES
|
||||
@dir share/locale/vi
|
||||
@dir share/locale/wa/LC_MESSAGES
|
||||
@dir share/locale/wa
|
||||
@dir share/locale/zh_CN/LC_MESSAGES
|
||||
@dir share/locale/zh_CN
|
||||
@dir share/locale
|
||||
63
text/hunspell/Makefile
Normal file
63
text/hunspell/Makefile
Normal file
@@ -0,0 +1,63 @@
|
||||
#
|
||||
# $Id$
|
||||
#
|
||||
PORTNAME= hunspell
|
||||
PORTVERSION= 1.3.3
|
||||
CATEGORIES= hungarian textproc
|
||||
MASTER_SITES+= SF/${PORTNAME}/Hunspell/${PORTVERSION}:code
|
||||
MASTER_SITES+= SF/magyarispell/Magyar%20Ispell/${DICTVERSION}:data
|
||||
DISTFILES+= ${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}:code
|
||||
DISTFILES+= hu_HU-${DICTVERSION}${EXTRACT_SUFX}:data
|
||||
|
||||
DICTVERSION= 1.6.1
|
||||
|
||||
MAINTAINER= onborodin@gmail.com
|
||||
COMMENT= Improved spell-checker for Hungarian and other languages
|
||||
|
||||
LIB_DEPENDS+= libintl.so:devel/gettext
|
||||
LIB_DEPENDS+= libiconv.so:text/libiconv
|
||||
|
||||
USES+= gmake
|
||||
GNU_CONFIGURE= yes
|
||||
CONFIGURE_ARGS+= --with-ui
|
||||
CONFIGURE_ARGS+= --with-readline
|
||||
CONFIGURE_ARGS+= --mandir=${PREFIX}/man
|
||||
CONFIGURE_ARGS+= --program-transform-name=""
|
||||
|
||||
CPPFLAGS+= -I${PREFIX}/include
|
||||
LDFLAGS+= -L${PREFIX}/lib
|
||||
|
||||
USE_LDCONFIG= yes
|
||||
|
||||
post-patch:
|
||||
${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' \
|
||||
${WRKSRC}/src/tools/hunspell.cxx
|
||||
cd ${WRKSRC} && ${REINPLACE_CMD} -e 's/hunspell-1.2/hunspell/g' \
|
||||
$$(${FIND} . -name Makefile.in) *.pc.in
|
||||
cd ${WRKSRC} && ${REINPLACE_CMD} -e 's/hunspell_1_2/hunspell/g' \
|
||||
$$(${FIND} . -name Makefile.in)
|
||||
cd ${WRKSRC} && ${REINPLACE_CMD} -e 's/-@HUNSPELL_VERSION_MAJOR@.@HUNSPELL_VERSION_MINOR@//g' \
|
||||
*.pc.in
|
||||
${REINPLACE_CMD} \
|
||||
-e 's,/usr/share/hunspell,${PREFIX}/share/hunspell,' \
|
||||
-e 's,/usr/share/myspell,${PREFIX}/share/myspell,' \
|
||||
-e 's,/usr/share/myspell/dicts,${PREFIX}/share/myspell/dicts,' \
|
||||
${WRKSRC}/src/tools/hunspell.cxx
|
||||
${REINPLACE_CMD} -e '/^SUBDIRS/s| hu| .|' ${WRKSRC}/man/Makefile.in
|
||||
|
||||
|
||||
|
||||
post-install:
|
||||
${MKDIR} ${STAGEDIR}${PREFIX}/share/myspell/
|
||||
${INSTALL_DATA} ${WRKDIR}/hu_HU-${DICTVERSION}/hu_HU.dic \
|
||||
${WRKDIR}/hu_HU-${DICTVERSION}/hu_HU.aff \
|
||||
${STAGEDIR}${PREFIX}/share/myspell/
|
||||
${LN} -sf ${LOCALBASE}/share/myspell/hu_HU.dic ${STAGEDIR}${PREFIX}/share/myspell/magyar.dic
|
||||
${LN} -sf ${LOCALBASE}/share/myspell/hu_HU.dic ${STAGEDIR}${PREFIX}/share/myspell/hungarian.dic
|
||||
${LN} -sf ${LOCALBASE}/share/myspell/hu_HU.dic ${STAGEDIR}${PREFIX}/share/myspell/default.dic
|
||||
${LN} -sf ${LOCALBASE}/share/myspell/hu_HU.aff ${STAGEDIR}${PREFIX}/share/myspell/magyar.aff
|
||||
${LN} -sf ${LOCALBASE}/share/myspell/hu_HU.aff ${STAGEDIR}${PREFIX}/share/myspell/hungarian.aff
|
||||
${LN} -sf ${LOCALBASE}/share/myspell/hu_HU.aff ${STAGEDIR}${PREFIX}/share/myspell/default.aff
|
||||
|
||||
.include <bsd.port.mk>
|
||||
#EOF
|
||||
4
text/hunspell/distinfo
Normal file
4
text/hunspell/distinfo
Normal file
@@ -0,0 +1,4 @@
|
||||
SHA256 (hunspell-1.3.3.tar.gz) = a7b2c0de0e2ce17426821dc1ac8eb115029959b3ada9d80a81739fa19373246c
|
||||
SIZE (hunspell-1.3.3.tar.gz) = 986081
|
||||
SHA256 (hu_HU-1.6.1.tar.gz) = 0a1ab4672bf75acc1c29c4b3fbcab5d10b7883ba1e7fc25e8054d2209f0352c2
|
||||
SIZE (hu_HU-1.6.1.tar.gz) = 730641
|
||||
80
text/hunspell/files/patch-x-configure
Normal file
80
text/hunspell/files/patch-x-configure
Normal file
@@ -0,0 +1,80 @@
|
||||
--- ./configure.orig 2014-06-02 12:22:28.000000000 +0300
|
||||
+++ ./configure 2014-12-23 10:15:50.000000000 +0200
|
||||
@@ -9801,7 +9801,7 @@
|
||||
hardcode_shlibpath_var=no
|
||||
;;
|
||||
|
||||
- freebsd1*)
|
||||
+ freebsd1.*)
|
||||
ld_shlibs=no
|
||||
;;
|
||||
|
||||
@@ -10676,7 +10676,7 @@
|
||||
shlibpath_var=LD_LIBRARY_PATH
|
||||
;;
|
||||
|
||||
-freebsd1*)
|
||||
+freebsd1.*)
|
||||
dynamic_linker=no
|
||||
;;
|
||||
|
||||
@@ -10687,7 +10687,7 @@
|
||||
objformat=`/usr/bin/objformat`
|
||||
else
|
||||
case $host_os in
|
||||
- freebsd[123]*) objformat=aout ;;
|
||||
+ freebsd[123].*) objformat=aout ;;
|
||||
*) objformat=elf ;;
|
||||
esac
|
||||
fi
|
||||
@@ -11897,6 +11897,7 @@
|
||||
|
||||
# Allow CC to be a program name with arguments.
|
||||
lt_save_CC=$CC
|
||||
+ lt_save_CFLAGS=$CFLAGS
|
||||
lt_save_LD=$LD
|
||||
lt_save_GCC=$GCC
|
||||
GCC=$GXX
|
||||
@@ -11914,6 +11915,7 @@
|
||||
fi
|
||||
test -z "${LDCXX+set}" || LD=$LDCXX
|
||||
CC=${CXX-"c++"}
|
||||
+ CFLAGS=$CXXFLAGS
|
||||
compiler=$CC
|
||||
compiler_CXX=$CC
|
||||
for cc_temp in $compiler""; do
|
||||
@@ -12374,7 +12376,7 @@
|
||||
esac
|
||||
;;
|
||||
|
||||
- freebsd[12]*)
|
||||
+ freebsd[12].*)
|
||||
# C++ shared libraries reported to be fairly broken before
|
||||
# switch to ELF
|
||||
ld_shlibs_CXX=no
|
||||
@@ -14132,7 +14134,7 @@
|
||||
shlibpath_var=LD_LIBRARY_PATH
|
||||
;;
|
||||
|
||||
-freebsd1*)
|
||||
+freebsd1.*)
|
||||
dynamic_linker=no
|
||||
;;
|
||||
|
||||
@@ -14143,7 +14145,7 @@
|
||||
objformat=`/usr/bin/objformat`
|
||||
else
|
||||
case $host_os in
|
||||
- freebsd[123]*) objformat=aout ;;
|
||||
+ freebsd[123].*) objformat=aout ;;
|
||||
*) objformat=elf ;;
|
||||
esac
|
||||
fi
|
||||
@@ -14635,6 +14637,7 @@
|
||||
fi # test -n "$compiler"
|
||||
|
||||
CC=$lt_save_CC
|
||||
+ CFLAGS=$lt_save_CFLAGS
|
||||
LDCXX=$LD
|
||||
LD=$lt_save_LD
|
||||
GCC=$lt_save_GCC
|
||||
163
text/hunspell/files/patch-x-src-hunspell-Makefile.in
Normal file
163
text/hunspell/files/patch-x-src-hunspell-Makefile.in
Normal file
@@ -0,0 +1,163 @@
|
||||
--- ./src/hunspell/Makefile.in.orig 2014-12-23 10:15:50.000000000 +0200
|
||||
+++ ./src/hunspell/Makefile.in 2014-12-23 10:22:27.000000000 +0200
|
||||
@@ -37,7 +37,7 @@
|
||||
host_triplet = @host@
|
||||
target_triplet = @target@
|
||||
subdir = src/hunspell
|
||||
-DIST_COMMON = README $(libhunspell_1_3_include_HEADERS) \
|
||||
+DIST_COMMON = README $(libhunspell_include_HEADERS) \
|
||||
$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
|
||||
$(srcdir)/hunvisapi.h.in
|
||||
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
|
||||
@@ -93,16 +93,16 @@
|
||||
$(am__cd) "$$dir" && rm -f $$files; }; \
|
||||
}
|
||||
am__installdirs = "$(DESTDIR)$(libdir)" \
|
||||
- "$(DESTDIR)$(libhunspell_1_3_includedir)"
|
||||
+ "$(DESTDIR)$(libhunspell_includedir)"
|
||||
LTLIBRARIES = $(lib_LTLIBRARIES)
|
||||
-libhunspell_1_3_la_LIBADD =
|
||||
-am_libhunspell_1_3_la_OBJECTS = affentry.lo affixmgr.lo csutil.lo \
|
||||
+libhunspell_la_LIBADD =
|
||||
+am_libhunspell_la_OBJECTS = affentry.lo affixmgr.lo csutil.lo \
|
||||
dictmgr.lo hashmgr.lo hunspell.lo suggestmgr.lo phonet.lo \
|
||||
filemgr.lo hunzip.lo replist.lo
|
||||
-libhunspell_1_3_la_OBJECTS = $(am_libhunspell_1_3_la_OBJECTS)
|
||||
-libhunspell_1_3_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
|
||||
+libhunspell_la_OBJECTS = $(am_libhunspell_la_OBJECTS)
|
||||
+libhunspell_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
|
||||
$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
|
||||
- $(CXXFLAGS) $(libhunspell_1_3_la_LDFLAGS) $(LDFLAGS) -o $@
|
||||
+ $(CXXFLAGS) $(libhunspell_la_LDFLAGS) $(LDFLAGS) -o $@
|
||||
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
|
||||
depcomp = $(SHELL) $(top_srcdir)/depcomp
|
||||
am__depfiles_maybe = depfiles
|
||||
@@ -116,9 +116,9 @@
|
||||
CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
|
||||
--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
|
||||
$(LDFLAGS) -o $@
|
||||
-SOURCES = $(libhunspell_1_3_la_SOURCES)
|
||||
-DIST_SOURCES = $(libhunspell_1_3_la_SOURCES)
|
||||
-HEADERS = $(libhunspell_1_3_include_HEADERS)
|
||||
+SOURCES = $(libhunspell_la_SOURCES)
|
||||
+DIST_SOURCES = $(libhunspell_la_SOURCES)
|
||||
+HEADERS = $(libhunspell_include_HEADERS)
|
||||
ETAGS = etags
|
||||
CTAGS = ctags
|
||||
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
|
||||
@@ -296,21 +296,21 @@
|
||||
top_build_prefix = @top_build_prefix@
|
||||
top_builddir = @top_builddir@
|
||||
top_srcdir = @top_srcdir@
|
||||
-lib_LTLIBRARIES = libhunspell-1.3.la
|
||||
-libhunspell_1_3_includedir = $(includedir)/hunspell
|
||||
-libhunspell_1_3_la_SOURCES = affentry.cxx affixmgr.cxx csutil.cxx \
|
||||
+lib_LTLIBRARIES = libhunspell.la
|
||||
+libhunspell_includedir = $(includedir)/hunspell
|
||||
+libhunspell_la_SOURCES = affentry.cxx affixmgr.cxx csutil.cxx \
|
||||
dictmgr.cxx hashmgr.cxx hunspell.cxx \
|
||||
suggestmgr.cxx license.myspell license.hunspell \
|
||||
phonet.cxx filemgr.cxx hunzip.cxx replist.cxx
|
||||
|
||||
-libhunspell_1_3_include_HEADERS = affentry.hxx htypes.hxx affixmgr.hxx \
|
||||
+libhunspell_include_HEADERS = affentry.hxx htypes.hxx affixmgr.hxx \
|
||||
csutil.hxx hunspell.hxx atypes.hxx dictmgr.hxx hunspell.h \
|
||||
suggestmgr.hxx baseaffix.hxx hashmgr.hxx langnum.hxx \
|
||||
phonet.hxx filemgr.hxx hunzip.hxx w_char.hxx replist.hxx \
|
||||
hunvisapi.h
|
||||
|
||||
-libhunspell_1_3_la_DEPENDENCIES = utf_info.cxx
|
||||
-libhunspell_1_3_la_LDFLAGS = -no-undefined
|
||||
+libhunspell_la_DEPENDENCIES = utf_info.cxx
|
||||
+libhunspell_la_LDFLAGS = -no-undefined
|
||||
AM_CXXFLAGS = $(CFLAG_VISIBILITY) -DBUILDING_LIBHUNSPELL
|
||||
EXTRA_DIST = hunspell.dsp makefile.mk README utf_info.cxx
|
||||
all: all-am
|
||||
@@ -380,8 +380,8 @@
|
||||
echo "rm -f \"$${dir}/so_locations\""; \
|
||||
rm -f "$${dir}/so_locations"; \
|
||||
done
|
||||
-libhunspell-1.3.la: $(libhunspell_1_3_la_OBJECTS) $(libhunspell_1_3_la_DEPENDENCIES) $(EXTRA_libhunspell_1_3_la_DEPENDENCIES)
|
||||
- $(libhunspell_1_3_la_LINK) -rpath $(libdir) $(libhunspell_1_3_la_OBJECTS) $(libhunspell_1_3_la_LIBADD) $(LIBS)
|
||||
+libhunspell.la: $(libhunspell_la_OBJECTS) $(libhunspell_la_DEPENDENCIES) $(EXTRA_libhunspell_la_DEPENDENCIES)
|
||||
+ $(libhunspell_la_LINK) -rpath $(libdir) $(libhunspell_la_OBJECTS) $(libhunspell_la_LIBADD) $(LIBS)
|
||||
|
||||
mostlyclean-compile:
|
||||
-rm -f *.$(OBJEXT)
|
||||
@@ -427,24 +427,24 @@
|
||||
|
||||
clean-libtool:
|
||||
-rm -rf .libs _libs
|
||||
-install-libhunspell_1_3_includeHEADERS: $(libhunspell_1_3_include_HEADERS)
|
||||
+install-libhunspell_includeHEADERS: $(libhunspell_include_HEADERS)
|
||||
@$(NORMAL_INSTALL)
|
||||
- test -z "$(libhunspell_1_3_includedir)" || $(MKDIR_P) "$(DESTDIR)$(libhunspell_1_3_includedir)"
|
||||
- @list='$(libhunspell_1_3_include_HEADERS)'; test -n "$(libhunspell_1_3_includedir)" || list=; \
|
||||
+ test -z "$(libhunspell_includedir)" || $(MKDIR_P) "$(DESTDIR)$(libhunspell_includedir)"
|
||||
+ @list='$(libhunspell_include_HEADERS)'; test -n "$(libhunspell_includedir)" || list=; \
|
||||
for p in $$list; do \
|
||||
if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
|
||||
echo "$$d$$p"; \
|
||||
done | $(am__base_list) | \
|
||||
while read files; do \
|
||||
- echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libhunspell_1_3_includedir)'"; \
|
||||
- $(INSTALL_HEADER) $$files "$(DESTDIR)$(libhunspell_1_3_includedir)" || exit $$?; \
|
||||
+ echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libhunspell_includedir)'"; \
|
||||
+ $(INSTALL_HEADER) $$files "$(DESTDIR)$(libhunspell_includedir)" || exit $$?; \
|
||||
done
|
||||
|
||||
-uninstall-libhunspell_1_3_includeHEADERS:
|
||||
+uninstall-libhunspell_includeHEADERS:
|
||||
@$(NORMAL_UNINSTALL)
|
||||
- @list='$(libhunspell_1_3_include_HEADERS)'; test -n "$(libhunspell_1_3_includedir)" || list=; \
|
||||
+ @list='$(libhunspell_include_HEADERS)'; test -n "$(libhunspell_includedir)" || list=; \
|
||||
files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
|
||||
- dir='$(DESTDIR)$(libhunspell_1_3_includedir)'; $(am__uninstall_files_from_dir)
|
||||
+ dir='$(DESTDIR)$(libhunspell_includedir)'; $(am__uninstall_files_from_dir)
|
||||
|
||||
ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
|
||||
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
|
||||
@@ -532,7 +532,7 @@
|
||||
check: check-am
|
||||
all-am: Makefile $(LTLIBRARIES) $(HEADERS)
|
||||
installdirs:
|
||||
- for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(libhunspell_1_3_includedir)"; do \
|
||||
+ for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(libhunspell_includedir)"; do \
|
||||
test -z "$$dir" || $(MKDIR_P) "$$dir"; \
|
||||
done
|
||||
install: install-am
|
||||
@@ -588,7 +588,7 @@
|
||||
|
||||
info-am:
|
||||
|
||||
-install-data-am: install-libhunspell_1_3_includeHEADERS
|
||||
+install-data-am: install-libhunspell_includeHEADERS
|
||||
|
||||
install-dvi: install-dvi-am
|
||||
|
||||
@@ -635,7 +635,7 @@
|
||||
ps-am:
|
||||
|
||||
uninstall-am: uninstall-libLTLIBRARIES \
|
||||
- uninstall-libhunspell_1_3_includeHEADERS
|
||||
+ uninstall-libhunspell_includeHEADERS
|
||||
|
||||
.MAKE: install-am install-strip
|
||||
|
||||
@@ -646,14 +646,14 @@
|
||||
install install-am install-data install-data-am install-dvi \
|
||||
install-dvi-am install-exec install-exec-am install-html \
|
||||
install-html-am install-info install-info-am \
|
||||
- install-libLTLIBRARIES install-libhunspell_1_3_includeHEADERS \
|
||||
+ install-libLTLIBRARIES install-libhunspell_includeHEADERS \
|
||||
install-man install-pdf install-pdf-am install-ps \
|
||||
install-ps-am install-strip installcheck installcheck-am \
|
||||
installdirs maintainer-clean maintainer-clean-generic \
|
||||
mostlyclean mostlyclean-compile mostlyclean-generic \
|
||||
mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
|
||||
uninstall-am uninstall-libLTLIBRARIES \
|
||||
- uninstall-libhunspell_1_3_includeHEADERS
|
||||
+ uninstall-libhunspell_includeHEADERS
|
||||
|
||||
|
||||
# Tell versions [3.59,3.63) of GNU make to not export all variables.
|
||||
20
text/hunspell/files/patch-x-src-hunspell-affentry.hxx
Normal file
20
text/hunspell/files/patch-x-src-hunspell-affentry.hxx
Normal file
@@ -0,0 +1,20 @@
|
||||
--- ./src/hunspell/affentry.hxx.orig 2012-06-30 00:12:08.000000000 +0300
|
||||
+++ ./src/hunspell/affentry.hxx 2018-06-21 10:55:31.698305000 +0200
|
||||
@@ -31,7 +31,7 @@
|
||||
struct hentry * checkword(const char * word, int len, char in_compound,
|
||||
const FLAG needflag = FLAG_NULL);
|
||||
|
||||
- struct hentry * check_twosfx(const char * word, int len, char in_compound, const FLAG needflag = NULL);
|
||||
+ struct hentry * check_twosfx(const char * word, int len, char in_compound, const FLAG needflag);
|
||||
|
||||
char * check_morph(const char * word, int len, char in_compound,
|
||||
const FLAG needflag = FLAG_NULL);
|
||||
@@ -98,7 +98,7 @@
|
||||
// const FLAG cclass = FLAG_NULL, const FLAG needflag = FLAG_NULL, char in_compound=IN_CPD_NOT);
|
||||
const FLAG cclass = FLAG_NULL, const FLAG needflag = FLAG_NULL, const FLAG badflag = 0);
|
||||
|
||||
- struct hentry * check_twosfx(const char * word, int len, int optflags, PfxEntry* ppfx, const FLAG needflag = NULL);
|
||||
+ struct hentry * check_twosfx(const char * word, int len, int optflags, PfxEntry* ppfx, const FLAG needflag = 0);
|
||||
|
||||
char * check_twosfx_morph(const char * word, int len, int optflags,
|
||||
PfxEntry* ppfx, const FLAG needflag = FLAG_NULL);
|
||||
20
text/hunspell/files/patch-x-src-parsers-Makefile.in
Normal file
20
text/hunspell/files/patch-x-src-parsers-Makefile.in
Normal file
@@ -0,0 +1,20 @@
|
||||
--- ./src/parsers/Makefile.in.orig 2014-12-23 10:15:50.000000000 +0200
|
||||
+++ ./src/parsers/Makefile.in 2014-12-23 10:25:45.000000000 +0200
|
||||
@@ -78,7 +78,7 @@
|
||||
textparser.$(OBJEXT) htmlparser.$(OBJEXT) odfparser.$(OBJEXT)
|
||||
testparser_OBJECTS = $(am_testparser_OBJECTS)
|
||||
testparser_LDADD = $(LDADD)
|
||||
-testparser_DEPENDENCIES = ../hunspell/libhunspell-1.3.la
|
||||
+testparser_DEPENDENCIES = ../hunspell/libhunspell.la
|
||||
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
|
||||
depcomp = $(SHELL) $(top_srcdir)/depcomp
|
||||
am__depfiles_maybe = depfiles
|
||||
@@ -295,7 +295,7 @@
|
||||
|
||||
|
||||
# need mystrdup()
|
||||
-LDADD = ../hunspell/libhunspell-1.3.la
|
||||
+LDADD = ../hunspell/libhunspell.la
|
||||
all: all-am
|
||||
|
||||
.SUFFIXES:
|
||||
54
text/hunspell/files/patch-x-src-tools-Makefile.in
Normal file
54
text/hunspell/files/patch-x-src-tools-Makefile.in
Normal file
@@ -0,0 +1,54 @@
|
||||
--- ./src/tools/Makefile.in.orig 2014-12-23 10:15:50.000000000 +0200
|
||||
+++ ./src/tools/Makefile.in 2014-12-23 10:26:01.000000000 +0200
|
||||
@@ -71,21 +71,21 @@
|
||||
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
|
||||
am_analyze_OBJECTS = analyze.$(OBJEXT)
|
||||
analyze_OBJECTS = $(am_analyze_OBJECTS)
|
||||
-analyze_DEPENDENCIES = ../hunspell/libhunspell-1.3.la
|
||||
+analyze_DEPENDENCIES = ../hunspell/libhunspell.la
|
||||
am_chmorph_OBJECTS = chmorph.$(OBJEXT)
|
||||
chmorph_OBJECTS = $(am_chmorph_OBJECTS)
|
||||
chmorph_DEPENDENCIES = ../parsers/libparsers.a \
|
||||
- ../hunspell/libhunspell-1.3.la
|
||||
+ ../hunspell/libhunspell.la
|
||||
am_example_OBJECTS = example.$(OBJEXT)
|
||||
example_OBJECTS = $(am_example_OBJECTS)
|
||||
-example_DEPENDENCIES = ../hunspell/libhunspell-1.3.la
|
||||
+example_DEPENDENCIES = ../hunspell/libhunspell.la
|
||||
am_hunspell_OBJECTS = hunspell.$(OBJEXT)
|
||||
hunspell_OBJECTS = $(am_hunspell_OBJECTS)
|
||||
hunspell_DEPENDENCIES = ../parsers/libparsers.a \
|
||||
- ../hunspell/libhunspell-1.3.la
|
||||
+ ../hunspell/libhunspell.la
|
||||
am_hunzip_OBJECTS = hunzip.$(OBJEXT)
|
||||
hunzip_OBJECTS = $(am_hunzip_OBJECTS)
|
||||
-hunzip_DEPENDENCIES = ../hunspell/libhunspell-1.3.la
|
||||
+hunzip_DEPENDENCIES = ../hunspell/libhunspell.la
|
||||
am_hzip_OBJECTS = hzip.$(OBJEXT)
|
||||
hzip_OBJECTS = $(am_hzip_OBJECTS)
|
||||
hzip_LDADD = $(LDADD)
|
||||
@@ -332,19 +332,19 @@
|
||||
INCLUDES = -I${top_srcdir}/src/hunspell -I${top_srcdir}/src/parsers
|
||||
hzip_SOURCES = hzip.c
|
||||
hunzip_SOURCES = hunzip.cxx
|
||||
-hunzip_LDADD = ../hunspell/libhunspell-1.3.la
|
||||
+hunzip_LDADD = ../hunspell/libhunspell.la
|
||||
munch_SOURCES = munch.c munch.h
|
||||
unmunch_SOURCES = unmunch.c unmunch.h
|
||||
example_SOURCES = example.cxx
|
||||
-example_LDADD = ../hunspell/libhunspell-1.3.la
|
||||
+example_LDADD = ../hunspell/libhunspell.la
|
||||
hunspell_SOURCES = hunspell.cxx
|
||||
hunspell_LDADD = @LIBINTL@ @LIBICONV@ ../parsers/libparsers.a \
|
||||
- ../hunspell/libhunspell-1.3.la @CURSESLIB@ @READLINELIB@
|
||||
+ ../hunspell/libhunspell.la @CURSESLIB@ @READLINELIB@
|
||||
|
||||
analyze_SOURCES = analyze.cxx
|
||||
-analyze_LDADD = ../hunspell/libhunspell-1.3.la
|
||||
+analyze_LDADD = ../hunspell/libhunspell.la
|
||||
chmorph_SOURCES = chmorph.cxx
|
||||
-chmorph_LDADD = ../parsers/libparsers.a ../hunspell/libhunspell-1.3.la
|
||||
+chmorph_LDADD = ../parsers/libparsers.a ../hunspell/libhunspell.la
|
||||
dist_bin_SCRIPTS = makealias affixcompress wordforms ispellaff2myspell wordlist2hunspell
|
||||
all: all-am
|
||||
|
||||
51
text/hunspell/files/patch-x-src-tools-hunspell.cxx
Normal file
51
text/hunspell/files/patch-x-src-tools-hunspell.cxx
Normal file
@@ -0,0 +1,51 @@
|
||||
--- ./src/tools/hunspell.cxx.orig 2014-06-02 14:35:50.000000000 +0300
|
||||
+++ ./src/tools/hunspell.cxx 2018-06-21 11:37:45.434427000 +0200
|
||||
@@ -17,7 +17,7 @@
|
||||
#define HUNSPELL_VERSION VERSION
|
||||
#define INPUTLEN 50
|
||||
|
||||
-#define HUNSPELL_PIPE_HEADING "@(#) International Ispell Version 3.2.06 (but really Hunspell "VERSION")\n"
|
||||
+#define HUNSPELL_PIPE_HEADING "@(#) International Ispell Version 3.2.06\n"
|
||||
#define HUNSPELL_HEADING "Hunspell "
|
||||
#define ODF_EXT "odt|ott|odp|otp|odg|otg|ods|ots"
|
||||
#define ENTITY_APOS "'"
|
||||
@@ -68,28 +68,23 @@
|
||||
#include "odfparser.hxx"
|
||||
|
||||
#define LIBDIR \
|
||||
- "/usr/share/hunspell:" \
|
||||
- "/usr/share/myspell:" \
|
||||
- "/usr/share/myspell/dicts:" \
|
||||
- "/Library/Spelling"
|
||||
+ "/usr/local/share/hunspell:" \
|
||||
+ "/usr/local/share/myspell:" \
|
||||
+ "/usr/local/share/myspell/dicts:"
|
||||
#define USEROOODIR \
|
||||
".openoffice.org/3/user/wordbook:" \
|
||||
".openoffice.org2/user/wordbook:" \
|
||||
".openoffice.org2.0/user/wordbook:" \
|
||||
"Library/Spelling"
|
||||
#define OOODIR \
|
||||
- "/opt/openoffice.org/basis3.0/share/dict/ooo:" \
|
||||
- "/usr/lib/openoffice.org/basis3.0/share/dict/ooo:" \
|
||||
- "/opt/openoffice.org2.4/share/dict/ooo:" \
|
||||
- "/usr/lib/openoffice.org2.4/share/dict/ooo:" \
|
||||
- "/opt/openoffice.org2.3/share/dict/ooo:" \
|
||||
- "/usr/lib/openoffice.org2.3/share/dict/ooo:" \
|
||||
- "/opt/openoffice.org2.2/share/dict/ooo:" \
|
||||
- "/usr/lib/openoffice.org2.2/share/dict/ooo:" \
|
||||
- "/opt/openoffice.org2.1/share/dict/ooo:" \
|
||||
- "/usr/lib/openoffice.org2.1/share/dict/ooo:" \
|
||||
- "/opt/openoffice.org2.0/share/dict/ooo:" \
|
||||
- "/usr/lib/openoffice.org2.0/share/dict/ooo"
|
||||
+ "/usr/local/openoffice.org3/share/dict/ooo:" \
|
||||
+ "/usr/local/openoffice.org-3.0.0/share/dict/ooo:" \
|
||||
+ "/usr/local/openoffice.org-2.4.2/share/dict/ooo:" \
|
||||
+ "/usr/local/openoffice.org-2.4.1/share/dict/ooo:" \
|
||||
+ "/usr/local/openoffice.org-2.4/share/dict/ooo:" \
|
||||
+ "/usr/local/openoffice.org-2.2/share/dict/ooo:" \
|
||||
+ "/usr/local/openoffice.org-2.1/share/dict/ooo:" \
|
||||
+ "/usr/local/openoffice.org2.0/share/dict/ooo:"
|
||||
#define HOME getenv("HOME")
|
||||
#define DICBASENAME ".hunspell_"
|
||||
#define LOGFILE "/tmp/hunspell.log"
|
||||
452
text/hunspell/files/patch-x-tests-suggestiontest-Makefile
Normal file
452
text/hunspell/files/patch-x-tests-suggestiontest-Makefile
Normal file
@@ -0,0 +1,452 @@
|
||||
--- ./tests/suggestiontest/Makefile.orig 2011-01-24 13:43:05.000000000 +0200
|
||||
+++ ./tests/suggestiontest/Makefile 2014-12-23 10:16:21.000000000 +0200
|
||||
@@ -1,11 +1,440 @@
|
||||
-all:
|
||||
- ./prepare
|
||||
- ./test
|
||||
-
|
||||
-single:
|
||||
- ./prepare2
|
||||
- ./test
|
||||
+# Makefile.in generated by automake 1.11.3 from Makefile.am.
|
||||
+# tests/suggestiontest/Makefile. Generated from Makefile.in by configure.
|
||||
|
||||
-clean:
|
||||
- rm *.[1-5] result.*
|
||||
+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
|
||||
+# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
|
||||
+# Foundation, Inc.
|
||||
+# This Makefile.in is free software; the Free Software Foundation
|
||||
+# gives unlimited permission to copy and/or distribute it,
|
||||
+# with or without modifications, as long as this notice is preserved.
|
||||
|
||||
+# This program is distributed in the hope that it will be useful,
|
||||
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
|
||||
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
|
||||
+# PARTICULAR PURPOSE.
|
||||
+
|
||||
+
|
||||
+
|
||||
+pkgdatadir = $(datadir)/hunspell
|
||||
+pkgincludedir = $(includedir)/hunspell
|
||||
+pkglibdir = $(libdir)/hunspell
|
||||
+pkglibexecdir = $(libexecdir)/hunspell
|
||||
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
|
||||
+install_sh_DATA = $(install_sh) -c -m 644
|
||||
+install_sh_PROGRAM = $(install_sh) -c
|
||||
+install_sh_SCRIPT = $(install_sh) -c
|
||||
+INSTALL_HEADER = $(INSTALL_DATA)
|
||||
+transform = $(program_transform_name)
|
||||
+NORMAL_INSTALL = :
|
||||
+PRE_INSTALL = :
|
||||
+POST_INSTALL = :
|
||||
+NORMAL_UNINSTALL = :
|
||||
+PRE_UNINSTALL = :
|
||||
+POST_UNINSTALL = :
|
||||
+build_triplet = i386-pc-freebsd10
|
||||
+host_triplet = i386-pc-freebsd10
|
||||
+target_triplet = i386-pc-freebsd10
|
||||
+subdir = tests/suggestiontest
|
||||
+DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
|
||||
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
|
||||
+am__aclocal_m4_deps = $(top_srcdir)/m4/codeset.m4 \
|
||||
+ $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/glibc2.m4 \
|
||||
+ $(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/iconv.m4 \
|
||||
+ $(top_srcdir)/m4/intdiv0.m4 $(top_srcdir)/m4/intl.m4 \
|
||||
+ $(top_srcdir)/m4/intlmacosx.m4 $(top_srcdir)/m4/intmax.m4 \
|
||||
+ $(top_srcdir)/m4/inttypes-pri.m4 \
|
||||
+ $(top_srcdir)/m4/inttypes_h.m4 $(top_srcdir)/m4/lcmessage.m4 \
|
||||
+ $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
|
||||
+ $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
|
||||
+ $(top_srcdir)/m4/lock.m4 $(top_srcdir)/m4/longlong.m4 \
|
||||
+ $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
|
||||
+ $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
|
||||
+ $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
|
||||
+ $(top_srcdir)/m4/printf-posix.m4 $(top_srcdir)/m4/progtest.m4 \
|
||||
+ $(top_srcdir)/m4/size_max.m4 $(top_srcdir)/m4/stdint_h.m4 \
|
||||
+ $(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/visibility.m4 \
|
||||
+ $(top_srcdir)/m4/wchar_t.m4 $(top_srcdir)/m4/wint_t.m4 \
|
||||
+ $(top_srcdir)/m4/xsize.m4 $(top_srcdir)/configure.ac
|
||||
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
|
||||
+ $(ACLOCAL_M4)
|
||||
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
|
||||
+CONFIG_HEADER = $(top_builddir)/config.h
|
||||
+CONFIG_CLEAN_FILES =
|
||||
+CONFIG_CLEAN_VPATH_FILES =
|
||||
+SOURCES =
|
||||
+DIST_SOURCES =
|
||||
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
|
||||
+ACLOCAL = ${SHELL} /data/ports10/text/hunspell/work/hunspell-1.3.3/missing --run aclocal-1.11
|
||||
+ALLOCA =
|
||||
+AMTAR = $${TAR-tar}
|
||||
+AR = ar
|
||||
+AS = as
|
||||
+AUTOCONF = ${SHELL} /data/ports10/text/hunspell/work/hunspell-1.3.3/missing --run autoconf
|
||||
+AUTOHEADER = ${SHELL} /data/ports10/text/hunspell/work/hunspell-1.3.3/missing --run autoheader
|
||||
+AUTOMAKE = ${SHELL} /data/ports10/text/hunspell/work/hunspell-1.3.3/missing --run automake-1.11
|
||||
+AWK = gawk
|
||||
+BUILD_INCLUDED_LIBINTL = no
|
||||
+CATOBJEXT = .gmo
|
||||
+CC = clang
|
||||
+CCDEPMODE = depmode=gcc3
|
||||
+CFLAGS = -fomit-frame-pointer -O2 -pipe -march=pentium4 -fno-strict-aliasing
|
||||
+CFLAG_VISIBILITY = -fvisibility=hidden
|
||||
+CPP = clang-cpp
|
||||
+CPPFLAGS = -I/usr/local/include -D_THREAD_SAFE
|
||||
+CURSESLIB = -lncursesw
|
||||
+CXX = clang++
|
||||
+CXXCPP = clang++ -E
|
||||
+CXXDEPMODE = depmode=gcc3
|
||||
+CXXFLAGS = -fomit-frame-pointer -O2 -pipe -march=pentium4 -fno-strict-aliasing -O -pipe
|
||||
+CYGPATH_W = echo
|
||||
+DATADIRNAME = share
|
||||
+DEFS = -DHAVE_CONFIG_H
|
||||
+DEPDIR = .deps
|
||||
+DLLTOOL = dlltool
|
||||
+DSYMUTIL =
|
||||
+DUMPBIN =
|
||||
+ECHO_C =
|
||||
+ECHO_N = -n
|
||||
+ECHO_T =
|
||||
+EGREP = /usr/bin/grep -E
|
||||
+EXEEXT =
|
||||
+FGREP = /usr/bin/grep -F
|
||||
+GENCAT = gencat
|
||||
+GETTEXT_MACRO_VERSION = 0.17
|
||||
+GLIBC2 = no
|
||||
+GLIBC21 = no
|
||||
+GMSGFMT = /usr/local/bin/msgfmt
|
||||
+GMSGFMT_015 = /usr/local/bin/msgfmt
|
||||
+GREP = /usr/bin/grep
|
||||
+HAVE_ASPRINTF = 1
|
||||
+HAVE_POSIX_PRINTF = 1
|
||||
+HAVE_SNPRINTF = 1
|
||||
+HAVE_VISIBILITY = 1
|
||||
+HAVE_WPRINTF = 0
|
||||
+HUNSPELL_VERSION_MAJOR = 1
|
||||
+HUNSPELL_VERSION_MINOR = 3
|
||||
+INSTALL = /usr/bin/install -c -o root -g wheel
|
||||
+INSTALL_DATA = install -o root -g wheel -m 444
|
||||
+INSTALL_PROGRAM = install -s -o root -g wheel -m 555
|
||||
+INSTALL_SCRIPT = install -o root -g wheel -m 555
|
||||
+INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
|
||||
+INSTOBJEXT = .mo
|
||||
+INTLBISON = bison
|
||||
+INTLLIBS = /usr/local/lib/libintl.so /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib
|
||||
+INTLOBJS =
|
||||
+INTL_LIBTOOL_SUFFIX_PREFIX =
|
||||
+INTL_MACOSX_LIBS =
|
||||
+LD = /usr/bin/ld
|
||||
+LDFLAGS = -L/usr/local/lib
|
||||
+LIBICONV = /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib
|
||||
+LIBINTL = /usr/local/lib/libintl.so /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib
|
||||
+LIBMULTITHREAD = -lpthread
|
||||
+LIBOBJS = ${LIBOBJDIR}error$U.o
|
||||
+LIBPTH =
|
||||
+LIBPTH_PREFIX =
|
||||
+LIBS =
|
||||
+LIBTHREAD =
|
||||
+LIBTOOL = $(SHELL) $(top_builddir)/libtool
|
||||
+LIPO =
|
||||
+LN_S = ln -s
|
||||
+LTLIBC = -lc
|
||||
+LTLIBICONV = -L/usr/local/lib -liconv -R/usr/local/lib
|
||||
+LTLIBINTL = -L/usr/local/lib -lintl -L/usr/local/lib -liconv -R/usr/local/lib
|
||||
+LTLIBMULTITHREAD = -lpthread
|
||||
+LTLIBOBJS = ${LIBOBJDIR}error$U.lo
|
||||
+LTLIBPTH =
|
||||
+LTLIBTHREAD =
|
||||
+MAKEINFO = ${SHELL} /data/ports10/text/hunspell/work/hunspell-1.3.3/missing --run makeinfo
|
||||
+MKDIR_P = /usr/local/bin/gmkdir -p
|
||||
+MSGFMT = /usr/local/bin/msgfmt
|
||||
+MSGFMT_015 = /usr/local/bin/msgfmt
|
||||
+MSGMERGE = /usr/local/bin/msgmerge
|
||||
+NM = /usr/bin/nm -B
|
||||
+NMEDIT =
|
||||
+OBJDUMP = objdump
|
||||
+OBJEXT = o
|
||||
+OTOOL =
|
||||
+OTOOL64 =
|
||||
+PACKAGE = hunspell
|
||||
+PACKAGE_BUGREPORT = nemeth@numbertext.org
|
||||
+PACKAGE_NAME = hunspell
|
||||
+PACKAGE_STRING = hunspell 1.3.3
|
||||
+PACKAGE_TARNAME = hunspell
|
||||
+PACKAGE_URL =
|
||||
+PACKAGE_VERSION = 1.3.3
|
||||
+PATH_SEPARATOR = :
|
||||
+POSUB = po
|
||||
+PRI_MACROS_BROKEN = 0
|
||||
+RANLIB = ranlib
|
||||
+READLINELIB = -lreadline -lncurses
|
||||
+SED = /usr/local/bin/gsed
|
||||
+SET_MAKE =
|
||||
+SHELL = /bin/sh
|
||||
+STRIP = strip
|
||||
+USE_INCLUDED_LIBINTL = no
|
||||
+USE_NLS = yes
|
||||
+VERSION = 1.3.3
|
||||
+WINDRES =
|
||||
+WOE32 = no
|
||||
+WOE32DLL = no
|
||||
+XFAILED =
|
||||
+XGETTEXT = /usr/local/bin/xgettext
|
||||
+XGETTEXT_015 = /usr/local/bin/xgettext
|
||||
+XGETTEXT_EXTRA_OPTIONS =
|
||||
+abs_builddir = /data/ports10/text/hunspell/work/hunspell-1.3.3/tests/suggestiontest
|
||||
+abs_srcdir = /data/ports10/text/hunspell/work/hunspell-1.3.3/tests/suggestiontest
|
||||
+abs_top_builddir = /data/ports10/text/hunspell/work/hunspell-1.3.3
|
||||
+abs_top_srcdir = /data/ports10/text/hunspell/work/hunspell-1.3.3
|
||||
+ac_ct_CC = clang
|
||||
+ac_ct_CXX =
|
||||
+ac_ct_DUMPBIN =
|
||||
+am__include = include
|
||||
+am__leading_dot = .
|
||||
+am__quote =
|
||||
+am__tar = $${TAR-tar} chof - "$$tardir"
|
||||
+am__untar = $${TAR-tar} xf -
|
||||
+bindir = ${exec_prefix}/bin
|
||||
+build = i386-pc-freebsd10
|
||||
+build_alias = i386-pc-freebsd10
|
||||
+build_cpu = i386
|
||||
+build_os = freebsd10
|
||||
+build_vendor = pc
|
||||
+builddir = .
|
||||
+datadir = ${datarootdir}
|
||||
+datarootdir = ${prefix}/share
|
||||
+docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
|
||||
+dvidir = ${docdir}
|
||||
+exec_prefix = ${prefix}
|
||||
+host = i386-pc-freebsd10
|
||||
+host_alias =
|
||||
+host_cpu = i386
|
||||
+host_os = freebsd10
|
||||
+host_vendor = pc
|
||||
+htmldir = ${docdir}
|
||||
+includedir = ${prefix}/include
|
||||
+infodir = /usr/local/info
|
||||
+install_sh = ${SHELL} /data/ports10/text/hunspell/work/hunspell-1.3.3/install-sh
|
||||
+libdir = ${exec_prefix}/lib
|
||||
+libexecdir = ${exec_prefix}/libexec
|
||||
+localedir = ${datarootdir}/locale
|
||||
+localstatedir = ${prefix}/var
|
||||
+lt_ECHO = echo
|
||||
+mandir = /usr/local/man
|
||||
+mkdir_p = /usr/local/bin/gmkdir -p
|
||||
+oldincludedir = /usr/include
|
||||
+pdfdir = ${docdir}
|
||||
+prefix = /usr/local
|
||||
+program_transform_name =
|
||||
+psdir = ${docdir}
|
||||
+sbindir = ${exec_prefix}/sbin
|
||||
+sharedstatedir = ${prefix}/com
|
||||
+srcdir = .
|
||||
+sysconfdir = ${prefix}/etc
|
||||
+target = i386-pc-freebsd10
|
||||
+target_alias =
|
||||
+target_cpu = i386
|
||||
+target_os = freebsd10
|
||||
+target_vendor = pc
|
||||
+top_build_prefix = ../../
|
||||
+top_builddir = ../..
|
||||
+top_srcdir = ../..
|
||||
+EXTRA_DIST = \
|
||||
+List_of_common_misspellings.txt \
|
||||
+Makefile.orig \
|
||||
+prepare \
|
||||
+README \
|
||||
+test
|
||||
+
|
||||
+all: all-am
|
||||
+
|
||||
+.SUFFIXES:
|
||||
+$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
|
||||
+ @for dep in $?; do \
|
||||
+ case '$(am__configure_deps)' in \
|
||||
+ *$$dep*) \
|
||||
+ ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
|
||||
+ && { if test -f $@; then exit 0; else break; fi; }; \
|
||||
+ exit 1;; \
|
||||
+ esac; \
|
||||
+ done; \
|
||||
+ echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/suggestiontest/Makefile'; \
|
||||
+ $(am__cd) $(top_srcdir) && \
|
||||
+ $(AUTOMAKE) --gnu tests/suggestiontest/Makefile
|
||||
+.PRECIOUS: Makefile
|
||||
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
|
||||
+ @case '$?' in \
|
||||
+ *config.status*) \
|
||||
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
|
||||
+ *) \
|
||||
+ echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
|
||||
+ cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
|
||||
+ esac;
|
||||
+
|
||||
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
|
||||
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
|
||||
+
|
||||
+$(top_srcdir)/configure: $(am__configure_deps)
|
||||
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
|
||||
+$(ACLOCAL_M4): $(am__aclocal_m4_deps)
|
||||
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
|
||||
+$(am__aclocal_m4_deps):
|
||||
+
|
||||
+mostlyclean-libtool:
|
||||
+ -rm -f *.lo
|
||||
+
|
||||
+clean-libtool:
|
||||
+ -rm -rf .libs _libs
|
||||
+tags: TAGS
|
||||
+TAGS:
|
||||
+
|
||||
+ctags: CTAGS
|
||||
+CTAGS:
|
||||
+
|
||||
+
|
||||
+distdir: $(DISTFILES)
|
||||
+ @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
|
||||
+ topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
|
||||
+ list='$(DISTFILES)'; \
|
||||
+ dist_files=`for file in $$list; do echo $$file; done | \
|
||||
+ sed -e "s|^$$srcdirstrip/||;t" \
|
||||
+ -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
|
||||
+ case $$dist_files in \
|
||||
+ */*) $(MKDIR_P) `echo "$$dist_files" | \
|
||||
+ sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
|
||||
+ sort -u` ;; \
|
||||
+ esac; \
|
||||
+ for file in $$dist_files; do \
|
||||
+ if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
|
||||
+ if test -d $$d/$$file; then \
|
||||
+ dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
|
||||
+ if test -d "$(distdir)/$$file"; then \
|
||||
+ find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
|
||||
+ fi; \
|
||||
+ if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
|
||||
+ cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
|
||||
+ find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
|
||||
+ fi; \
|
||||
+ cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
|
||||
+ else \
|
||||
+ test -f "$(distdir)/$$file" \
|
||||
+ || cp -p $$d/$$file "$(distdir)/$$file" \
|
||||
+ || exit 1; \
|
||||
+ fi; \
|
||||
+ done
|
||||
+check-am: all-am
|
||||
+check: check-am
|
||||
+all-am: Makefile
|
||||
+installdirs:
|
||||
+install: install-am
|
||||
+install-exec: install-exec-am
|
||||
+install-data: install-data-am
|
||||
+uninstall: uninstall-am
|
||||
+
|
||||
+install-am: all-am
|
||||
+ @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
|
||||
+
|
||||
+installcheck: installcheck-am
|
||||
+install-strip:
|
||||
+ if test -z '$(STRIP)'; then \
|
||||
+ $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
|
||||
+ install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
|
||||
+ install; \
|
||||
+ else \
|
||||
+ $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
|
||||
+ install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
|
||||
+ "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
|
||||
+ fi
|
||||
+mostlyclean-generic:
|
||||
+
|
||||
+clean-generic:
|
||||
+
|
||||
+distclean-generic:
|
||||
+ -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
|
||||
+ -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
|
||||
+
|
||||
+maintainer-clean-generic:
|
||||
+ @echo "This command is intended for maintainers to use"
|
||||
+ @echo "it deletes files that may require special tools to rebuild."
|
||||
+clean: clean-am
|
||||
+
|
||||
+clean-am: clean-generic clean-libtool mostlyclean-am
|
||||
+
|
||||
+distclean: distclean-am
|
||||
+ -rm -f Makefile
|
||||
+distclean-am: clean-am distclean-generic
|
||||
+
|
||||
+dvi: dvi-am
|
||||
+
|
||||
+dvi-am:
|
||||
+
|
||||
+html: html-am
|
||||
+
|
||||
+html-am:
|
||||
+
|
||||
+info: info-am
|
||||
+
|
||||
+info-am:
|
||||
+
|
||||
+install-data-am:
|
||||
+
|
||||
+install-dvi: install-dvi-am
|
||||
+
|
||||
+install-dvi-am:
|
||||
+
|
||||
+install-exec-am:
|
||||
+
|
||||
+install-html: install-html-am
|
||||
+
|
||||
+install-html-am:
|
||||
+
|
||||
+install-info: install-info-am
|
||||
+
|
||||
+install-info-am:
|
||||
+
|
||||
+install-man:
|
||||
+
|
||||
+install-pdf: install-pdf-am
|
||||
+
|
||||
+install-pdf-am:
|
||||
+
|
||||
+install-ps: install-ps-am
|
||||
+
|
||||
+install-ps-am:
|
||||
+
|
||||
+installcheck-am:
|
||||
+
|
||||
+maintainer-clean: maintainer-clean-am
|
||||
+ -rm -f Makefile
|
||||
+maintainer-clean-am: distclean-am maintainer-clean-generic
|
||||
+
|
||||
+mostlyclean: mostlyclean-am
|
||||
+
|
||||
+mostlyclean-am: mostlyclean-generic mostlyclean-libtool
|
||||
+
|
||||
+pdf: pdf-am
|
||||
+
|
||||
+pdf-am:
|
||||
+
|
||||
+ps: ps-am
|
||||
+
|
||||
+ps-am:
|
||||
+
|
||||
+uninstall-am:
|
||||
+
|
||||
+.MAKE: install-am install-strip
|
||||
+
|
||||
+.PHONY: all all-am check check-am clean clean-generic clean-libtool \
|
||||
+ distclean distclean-generic distclean-libtool distdir dvi \
|
||||
+ dvi-am html html-am info info-am install install-am \
|
||||
+ install-data install-data-am install-dvi install-dvi-am \
|
||||
+ install-exec install-exec-am install-html install-html-am \
|
||||
+ install-info install-info-am install-man install-pdf \
|
||||
+ install-pdf-am install-ps install-ps-am install-strip \
|
||||
+ installcheck installcheck-am installdirs maintainer-clean \
|
||||
+ maintainer-clean-generic mostlyclean mostlyclean-generic \
|
||||
+ mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am
|
||||
+
|
||||
+
|
||||
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
|
||||
+# Otherwise a system limit (for SysV at least) may be exceeded.
|
||||
+.NOEXPORT:
|
||||
19
text/hunspell/pkg-descr
Normal file
19
text/hunspell/pkg-descr
Normal file
@@ -0,0 +1,19 @@
|
||||
Hungarian Spell Checher utility with Hungarian dictionary
|
||||
and affix files. It has several advantages over ispell.
|
||||
It has better affix rules than hu-ispell.
|
||||
|
||||
It is installing hungarian dictionary by default, but other dictionaries can
|
||||
be found at: http://wiki.services.openoffice.org/wiki/Dictionaries
|
||||
|
||||
Magyar helyes.r.s ellen.rz. hunspell. El.ny.k az ispell-hez k.pest:
|
||||
- T.bb karakter v.ltoz.ssal j.r. tipikus hib.kra jav.t.si javaslat.
|
||||
- Helyes .sszetett sz.nak l.tsz. szavak tilt.sa.
|
||||
- 6-3-as szab.ly
|
||||
- mozg.szab.ly
|
||||
- .sszet.teli szab.lyok
|
||||
- t.bbsz.r.s k.pz.k helyes haszn.lata
|
||||
- .kezetes.t.si javaslatok
|
||||
Alepesetben csak a magyar sz.t.rat install.lja, de tov.bbi sz.t.rak
|
||||
el.rhet.ek: http://wiki.services.openoffice.org/wiki/Dictionaries
|
||||
|
||||
WWW: http://magyarispell.sourceforge.net/
|
||||
57
text/hunspell/pkg-plist
Normal file
57
text/hunspell/pkg-plist
Normal file
@@ -0,0 +1,57 @@
|
||||
bin/affixcompress
|
||||
bin/analyze
|
||||
bin/chmorph
|
||||
bin/hunspell
|
||||
bin/hunzip
|
||||
bin/hzip
|
||||
bin/ispellaff2myspell
|
||||
bin/makealias
|
||||
bin/munch
|
||||
bin/unmunch
|
||||
bin/wordforms
|
||||
bin/wordlist2hunspell
|
||||
include/hunspell/affentry.hxx
|
||||
include/hunspell/affixmgr.hxx
|
||||
include/hunspell/atypes.hxx
|
||||
include/hunspell/baseaffix.hxx
|
||||
include/hunspell/csutil.hxx
|
||||
include/hunspell/dictmgr.hxx
|
||||
include/hunspell/filemgr.hxx
|
||||
include/hunspell/hashmgr.hxx
|
||||
include/hunspell/htypes.hxx
|
||||
include/hunspell/hunspell.h
|
||||
include/hunspell/hunspell.hxx
|
||||
include/hunspell/hunvisapi.h
|
||||
include/hunspell/hunzip.hxx
|
||||
include/hunspell/langnum.hxx
|
||||
include/hunspell/phonet.hxx
|
||||
include/hunspell/replist.hxx
|
||||
include/hunspell/suggestmgr.hxx
|
||||
include/hunspell/w_char.hxx
|
||||
lib/libhunspell.a
|
||||
lib/libhunspell.la
|
||||
lib/libhunspell.so
|
||||
lib/libhunspell.so.0
|
||||
lib/pkgconfig/hunspell.pc
|
||||
share/locale/hu/LC_MESSAGES/hunspell.mo
|
||||
share/locale/it/LC_MESSAGES/hunspell.mo
|
||||
share/myspell/default.aff
|
||||
share/myspell/default.dic
|
||||
share/myspell/hu_HU.aff
|
||||
share/myspell/hu_HU.dic
|
||||
share/myspell/hungarian.aff
|
||||
share/myspell/hungarian.dic
|
||||
share/myspell/magyar.aff
|
||||
share/myspell/magyar.dic
|
||||
man/man1/hunspell.1.gz
|
||||
man/man1/hunzip.1.gz
|
||||
man/man1/hzip.1.gz
|
||||
man/man3/hunspell.3.gz
|
||||
man/man5/hunspell.5.gz
|
||||
@dir include/hunspell
|
||||
@dir share/locale/hu/LC_MESSAGES
|
||||
@dir share/locale/hu
|
||||
@dir share/locale/it/LC_MESSAGES
|
||||
@dir share/locale/it
|
||||
@dir share/locale
|
||||
@dir share/myspell
|
||||
72
text/libenchant/Makefile
Normal file
72
text/libenchant/Makefile
Normal file
@@ -0,0 +1,72 @@
|
||||
#
|
||||
# $Id$
|
||||
#
|
||||
PORTNAME= enchant
|
||||
PORTVERSION= 1.6.0
|
||||
CATEGORIES= textproc gnome
|
||||
MASTER_SITES= http://www.abisource.com/downloads/${PORTNAME}/${PORTVERSION}/
|
||||
DIST_SUBDIR= gnome2
|
||||
PKGNAMEPREFIX= lib
|
||||
|
||||
MAINTAINER= onborodin@gmail.com
|
||||
COMMENT= Dictionary/spellchecking framework
|
||||
|
||||
LIB_DEPENDS+= libglib.so:devel/libglib
|
||||
LIB_DEPENDS+= libgmodule.so:devel/libglib
|
||||
|
||||
LIB_DEPENDS+= libaspell.so:text/aspell
|
||||
LIB_DEPENDS+= libhunspell.so:text/hunspell
|
||||
|
||||
USES+= gmake
|
||||
GNU_CONFIGURE= yes
|
||||
USE_LDCONFIG= yes
|
||||
CONFIGURE_ARGS+= --disable-uspell
|
||||
CONFIGURE_ARGS+= --disable-voikko
|
||||
MAKE_JOBS_SAFE= yes
|
||||
|
||||
CONFIGURE_ENV+= CPPFLAGS="-I${LOCALBASE}/include"
|
||||
CONFIGURE_ENV+= LDFLAGS="-L${LOCALBASE}/lib"
|
||||
CFLAGS+= -I${LOCALBASE}/include
|
||||
|
||||
PLIST_FILES+= man/man1/enchant.1.gz
|
||||
|
||||
CONFIGURE_ARGS+=--enable-aspell --with-aspell-prefix=${LOCALBASE}
|
||||
CONFIGURE_ARGS+=--enable-myspell --with-myspell-prefix==${LOCALBASE}
|
||||
|
||||
CONFIGURE_ARGS+=--enable-hspell
|
||||
CONFIGURE_ARGS+=--disable-ispell
|
||||
CONFIGURE_ARGS+=--disable-zemberek
|
||||
|
||||
CONFIGURE_ARGS+= --mandir=${PREFIX}/man
|
||||
CONFIGURE_ARGS+= --infodir=${PREFIX}/info
|
||||
|
||||
|
||||
post-patch:
|
||||
${REINPLACE_CMD} -e 's|MKDIRPROG-mkdir|MKDIRPROG-mkdir -p|g' \
|
||||
${WRKSRC}/install-sh
|
||||
.for filename in Makefile.in configure *.pc.in
|
||||
for file in $$(${FIND} ${WRKSRC} -name '${filename}'); do \
|
||||
${REINPLACE_CMD} -e 's|glib-2.0|glib|g' $${file}; \
|
||||
${REINPLACE_CMD} -e 's|gmodule-2.0|gmodule|g' $${file}; \
|
||||
${REINPLACE_CMD} -e 's|gmodule-export-2.0|gmodule-export|g' $${file}; \
|
||||
${REINPLACE_CMD} -e 's|gmodule-no-export-2.0|gmodule-no-export|g' $${file}; \
|
||||
${REINPLACE_CMD} -e 's|gthread-2.0|gthread|g' $${file}; \
|
||||
${REINPLACE_CMD} -e 's|gobject-2.0|gobject|g' $${file}; \
|
||||
${REINPLACE_CMD} -e 's|gio-2.0|gio|g' $${file}; \
|
||||
${REINPLACE_CMD} -e 's|gio-unix-2.0|gio-unix|g' $${file}; \
|
||||
${REINPLACE_CMD} -e 's|atk-1.0|atk|g' $${file}; \
|
||||
${REINPLACE_CMD} -e 's|gdk-2.0|gdk|g' $${file}; \
|
||||
${REINPLACE_CMD} -e 's|gtk+-2.0|gtk+|g' $${file}; \
|
||||
${REINPLACE_CMD} -e 's|libxml-2.0|libxml2|g' $${file}; \
|
||||
${REINPLACE_CMD} -e 's|libcroco-0.6|libcroco|g' $${file}; \
|
||||
${REINPLACE_CMD} -e 's|libgsf-1|libgsf|g' $${file}; \
|
||||
${REINPLACE_CMD} -e 's|gdk-pixbuf-2.0|gdk-pixbuf|g' $${file}; \
|
||||
${REINPLACE_CMD} -e 's|gdk-x11-2.0|gdk-x11|g' $${file}; \
|
||||
done
|
||||
.endfor
|
||||
# ${REINPLACE_CMD} -e '/SUBDIRS/s|reference||g' ${WRKSRC}/glib/Makefile.in
|
||||
|
||||
|
||||
.include <bsd.port.mk>
|
||||
##EOF
|
||||
|
||||
2
text/libenchant/distinfo
Normal file
2
text/libenchant/distinfo
Normal file
@@ -0,0 +1,2 @@
|
||||
SHA256 (gnome2/enchant-1.6.0.tar.gz) = 2fac9e7be7e9424b2c5570d8affe568db39f7572c10ed48d4e13cddf03f7097f
|
||||
SIZE (gnome2/enchant-1.6.0.tar.gz) = 607018
|
||||
11
text/libenchant/files/patch-configure
Normal file
11
text/libenchant/files/patch-configure
Normal file
@@ -0,0 +1,11 @@
|
||||
--- configure.orig 2013-08-16 18:30:56.000000000 +0200
|
||||
+++ configure 2013-08-16 18:31:33.000000000 +0200
|
||||
@@ -18213,7 +18213,7 @@
|
||||
fi
|
||||
|
||||
|
||||
- ASPELL_CFLAGS+=" -DHAVE_PSPELL_H"
|
||||
+ ASPELL_CFLAGS="${ASPELL_CFLAGS} -DHAVE_PSPELL_H"
|
||||
elif test -f "$aspell_prefix/include/aspell.h"; then
|
||||
{ $as_echo "$as_me:$LINENO: result: yes (aspell)" >&5
|
||||
$as_echo "yes (aspell)" >&6; }
|
||||
16
text/libenchant/pkg-descr
Normal file
16
text/libenchant/pkg-descr
Normal file
@@ -0,0 +1,16 @@
|
||||
On the surface, Enchant appears to be a generic spell checking library. You
|
||||
can request dictionaries from it, ask if a word is correctly spelled, get
|
||||
corrections for a misspelled word, etc...
|
||||
|
||||
Beneath the surface, Enchant is a whole lot more - and less - than that.
|
||||
You'll see that Enchant isn't really a spell checking library at all.
|
||||
|
||||
"What's that?" you ask. Well, Enchant doesn't try to do any of the work
|
||||
itself. It's lazy, and requires backends to do most of its dirty work. Looking
|
||||
closer, you'll see the Enchant is more-or-less a fancy wrapper around the
|
||||
dlopen() system call. Enchant steps in to provide uniformity and conformity
|
||||
on top of these libraries, and implement certain features that may be lacking
|
||||
in any individual provider library. Everything should "just work" for any and
|
||||
every definition of "just working."
|
||||
|
||||
WWW: http://www.abisource.com/projects/enchant/
|
||||
20
text/libenchant/pkg-plist
Normal file
20
text/libenchant/pkg-plist
Normal file
@@ -0,0 +1,20 @@
|
||||
bin/enchant
|
||||
bin/enchant-lsmod
|
||||
include/enchant/enchant++.h
|
||||
include/enchant/enchant-provider.h
|
||||
include/enchant/enchant.h
|
||||
lib/enchant/libenchant_aspell.a
|
||||
lib/enchant/libenchant_aspell.la
|
||||
lib/enchant/libenchant_aspell.so
|
||||
lib/enchant/libenchant_myspell.a
|
||||
lib/enchant/libenchant_myspell.la
|
||||
lib/enchant/libenchant_myspell.so
|
||||
lib/libenchant.a
|
||||
lib/libenchant.la
|
||||
lib/libenchant.so
|
||||
lib/libenchant.so.7
|
||||
lib/pkgconfig/enchant.pc
|
||||
share/enchant/enchant.ordering
|
||||
@dir lib/enchant
|
||||
@dir share/enchant
|
||||
@dir include/enchant
|
||||
@@ -1,4 +1,2 @@
|
||||
bin/xmlcatmgr
|
||||
@exec test -r %%CATALOG_SGML%% || %%PREFIX%%/bin/xmlcatmgr -sc %%CATALOG_SGML%% create
|
||||
@exec test -r %%CATALOG_XML%% || %%PREFIX%%/bin/xmlcatmgr -c %%CATALOG_XML%% create
|
||||
|
||||
|
||||
Reference in New Issue
Block a user